HALT(8)

NOME
halt, reboot, poweroff - param o sistema

RESUMO
/sbin/halt [-d] [-f] [-h] [-i] [-n] [-p] [-w]
/sbin/reboot [-d] [-f] [-i] [-k] [-n] [-w]
/sbin/poweroff [-d] [-f] [-h] [-i] [-n] [-w]

DESCRIÇÃO
O halt nota que o sistema está a ser arreado no ficheiro /var/log/wtmp, e depois diz ao kernel para ou o parar, reiniciar ou desligar o sistema.

Se halt ou reboot forem chamados quando o sistema não está em runlevel 0 ou 6, por outras palavras, quando está a correr normalmente, então é invocado o shutdown (com a bandeira -h ou -r). Para mais informação veja o manual do shutdown(8).

O resto deste manual descreve o comportamento nos níveis de execução (runlevels) 0 e 6, que é quando os scripts de desligar o sistema correm.

OPÇÕES

-d  Não escreve o registo wtmp.

-f  Força halt ou reboot, não chama o shutdown(8).

-h  Põe todos os discos rijos do sistema em modo de espera antes de parar ou desligar a energia.

-i  Desliga todas as interfaces de rede mesmo antes de halt ou reboot. Aviso: Isto pode não funcionar em interfaces que não têm um endereço IP e idealmente devem ser geridas por um serviço de gestão de rede.

-k  Try to reboot using kexec, if kernel supports it.

-n  Não sincroniza antes de reiniciar ou parar. Note que o kernel e as drivers de armazenamento podem ainda sincronizar. Isto implica -d.

-p  Quando parar o sistema, desliga a energia. Esta é a predefinição quando halt é chamado como poweroff.

-w  Não reinicia nem pára na realidade mas apenas escreve o registo wtmp (no ficheiro /var/log/wtmp).

DIAGNÓSTICO
Se você não for o super-utilizador, irá receber a mensagem `must be superuser'.

NOTAS
Sob lançamentos antigos do sysvinit, reboot e halt nunca devem ser chamados directamente. A partir do lançamento 2.74 o halt e reboot invocam shutdown(8) se o sistema não estiver no runlevel 0 ou 6. Isto significa que se halt ou reboot não conseguirem descobrir o runlevel actual (por exemplo, quando o /var/run/utmp não foi inicializado corretamente e /var/run/runlevel não existir) será chamado shutdown, o que pode não ser o que você deseja. Use a bandeira -f se desejar fazer um halt ou reboot forçado.

A bandeira -h põe todos os discos rijos em modo de espera logo antes de para ou desligar. Neste momento isto é apenas implementado para dispositivos IDE. Um efeito secundário de por a drive em modo de espera é que a cache de escrita no disco é despejada. Isto é importante para drives IDE, pois o kernel não despeja ele próprio a cache de escrita antes do desligar.

O programa halt usa /proc/ide/hd* para encontrar todos os dispositivos de disco IDE, o que significa que /proc precisa de estar montado quando o halt ou poweroff são chamados ou o switch -h não fará nada.

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

VEJA TAMBÉM
shutdown(8), init(8)